Skip to main content
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/taxonomy/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "limit": 100
}'
{
  "has_next": true,
  "next_starting_after": "5a149aca-671a-4eb1-9fe8-37673c11e6ef",
  "records": [
    {
      "external_id": "e92ae376-da31-4fd8-b29e-a767715a703d",
      "operation_type": "vocab_update_rename_skill",
      "content": {
        "skill_cluster_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "skill_cluster_name": "HR management",
        "skill_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "old_skill_name": "old_skill_name",
        "new_skill_name": "new_skill_name"
      },
      "timestamp": "2021-01-21T17:32:28"
    },
    {
      "external_id": "db2f7896-682a-4064-8f92-ff32e4562a37",
      "operation_type": "vocab_update_merge_skill",
      "content": {
        "merged_from_skill_cluster_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "merged_from_skill_cluster_name": "HR management",
        "merged_from_skill_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "merged_from_skill_name": "merged_from_skill_name",
        "merged_into_skill_cluster_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "merged_into_skill_cluster_name": "HR management",
        "merged_into_skill_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "merged_into_skill_name": "merged_into_skill_name"
      },
      "timestamp": "2021-01-21T17:32:28"
    },
    {
      "external_id": "6d7dd039-867b-4376-9f6f-b53ff7651d88",
      "operation_type": "vocab_update_remove_skill",
      "content": {
        "skill_cluster_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "skill_cluster_name": "HR management",
        "skill_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "skill_name": "skill_name"
      },
      "timestamp": "2021-01-21T17:32:28"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to get Taxonomy changes from. Defaults to TechWolf if not specified. This parameter filters changes to only include vendor-aware operations for the specified vendor, or vendor-unaware operations that apply to all vendors.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

Body

application/json
limit
integer
required

The maximal number of Taxonomy changes returned per page. Used for keyset pagination.

Required range: 1 <= x <= 200
Example:

100

starting_after
string

The external_id of the Taxonomy change to continue looking from. Use this value from the next_starting_after field in the previous response to get the next page of results.

Maximum string length: 100
Example:

"5a149aca-671a-4eb1-9fe8-37673c11e6ef"

filters
(operation_type_is_in_list · object | external_id_is_in_list · object | timestamp · object)[]

A list of filters to apply on the Taxonomy changes. Supported filters include filtering by operation type, external ID, and timestamp.

Example:
[
{
"filter": "operation_type_is_in_list",
"operation_types": [
"vocab_update_add_skill",
"vocab_update_rename_skill",
"vocab_update_merge_skill",
"vocab_update_remove_skill"
]
},
{
"filter": "external_id_is_in_list",
"external_ids": [
"e92ae376-da31-4fd8-b29e-a767715a703d",
"6d7dd039-867b-4376-9f6f-b53ff7651d88"
]
},
{
"filter": "timestamp",
"value": "2021-01-21T17:32:28",
"operator": "gte"
},
{
"filter": "timestamp",
"value": "2021-02-01T00:00:00",
"operator": "lte"
}
]

Response

OK

Default structure for Taxonomy changes export (POST endpoint).

has_next
boolean
required

Whether there are more Taxonomy changes available after the current page.

Example:

true

records
object[]
required

List of Taxonomy changes returned for the current page, ordered by timestamp.

next_starting_after
string

The external_id of the last Taxonomy change in the current page. Use this value as starting_after in the next request to get the next page of results. Only present when has_next is true.

Example:

"5a149aca-671a-4eb1-9fe8-37673c11e6ef"